$header-background: $color-corporative;
$header-center-width: 100%;
$header-nav-width: 50px;
$header-nav-icon-width: 25px;

.header {
  align-items: center;
  background: $header-background;
  display: flex;
  justify-content: space-between;
  padding: .5rem 0;

  &--min-height {
    min-height: rem(62px);
  }
  &--big-height {
    min-height: rem(75px);
  }
  &--font-white {
    color: $color-white;
    & g,
    & path {
      fill: $color-white;
    }
  }
}

.header__button {
  background-color: transparent;
  border-style: none;
  border:none;
  outline:none;
  cursor: pointer;
  &:active,
  &:focus,
  &:hover {
    text-decoration: none;
    outline: none;
  }

  .icon {
    width: 30px;
    height: auto;
    max-height: 30px;
    border-radius: 10rem;
    &:active,
    &:focus,
    &:hover
    {
      fill: $color-corporative;
      background: $dark;
    }
  }
  & .icon-white {
    fill: white;
  }
}

.header__center {
  flex: 0 1 $header-center-width;
  text-align: center;
  padding: 0 rem(10px);
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  & .small-header-icon {
    max-height: rem(19px);
  }
  .icon {
    max-width: 100%;
    max-height: 25px;
    height: auto;
  }
}

.header__nav {
  background-color: transparent;
  flex: 0 1 $header-nav-width;
  text-decoration: none;
  text-align: center;
}

.header__link {
  background-color: transparent;

  height: 100%;
  width: 100%;
}

.header__title {
  font-size: .85rem;
  font-weight: bold;
  letter-spacing: .05px;
  margin-bottom: 0;
  text-transform: uppercase;
}

.header--black {
    background: $dark;
}

.header--white {
  background: transparent;
}
